Upgrade to 6.1.5

Forum related to all 5.x versions of ZeosLib's DBOs

Moderators: gto, cipto_kh, EgonHugeist

Ralph
Fresh Boarder
Fresh Boarder
Posts: 9
Joined: 24.08.2005, 10:55
Location: Germany

Upgrade to 6.1.5

Postby Ralph » 24.08.2005, 13:45

Hi there,

I use ZeosLib 5.4.1 for years with Delphi 4 and PostgreSQL 8 and am very satisfied with the performance but want to upgrade to the latest version of the components.

How do I do that without killing all my sources - simply installing 6.1.5 will not work...

Did anyone do that succesfully and is able to give me some hints - step by step would be great!

Ralph

User avatar
fduenas
Zeos Dev Team
Zeos Dev Team
Posts: 132
Joined: 26.08.2005, 08:12
Location: Cancún

Postby fduenas » 26.08.2005, 08:55

first i think you should upgrade to 6.5.1 instead of 6.1.5 ;). 6. 5.1 is now stable as 6.1.5, even better, the recent updates and corrections where made to 6.5.1 and not to 6.1.5.

The first way to prevent loosing your comps and to work together (5.x and 6.x) is to install latest 5.5 version, this package has some renamed classes so there will be no conflict with 6.x version, like tzquery to TZZQuery to prevent name collision and can work together with 6.5.1.
To rename your classes you should do this to your sources:

Before installing 5.5 version you should do this:
1) backup your files
2) open the dfm and pas files of your project where the components where inserted.
3) search an replace any coincidence to rename it to the new class names (check to read me include in the latest 5.5 version to see what classes where renamed)

ex: TzQuery-->TZZQuery (this is the name of the class in 5.5). In Almost all classes, a 'Z' where added to the name.

TIP: you can use GExperts tools to change component names in batch way

4) save you files
5) deinstall 5.4 and install 5.5
6) install latest 6.5.1 from CVS
7) voialá. you can work with 5.5 and 6.5.1 together so you can perform a full migration.

Regards

Ralph
Fresh Boarder
Fresh Boarder
Posts: 9
Joined: 24.08.2005, 10:55
Location: Germany

Postby Ralph » 27.08.2005, 15:23

Thanks a lot for your answer! Sounds like it should work that way :wink:

Do you really recommend using 6.5.1 alpha in a production system? Is it stable enough?

Ralph

User avatar
fduenas
Zeos Dev Team
Zeos Dev Team
Posts: 132
Joined: 26.08.2005, 08:12
Location: Cancún

Postby fduenas » 29.08.2005, 15:38

Well i have done my tests and use it in my apps and works very well. but rememebre you have to download the last version from CVS.

Your real problem is to convert from 5.x to 6.x. if you don't like 6.5.1 you can change to 6.1.5.

User avatar
Lightning
Zeos Dev Team
Zeos Dev Team
Posts: 8
Joined: 29.08.2005, 11:29
Location: Romania

Postby Lightning » 30.08.2005, 09:48

I have done it the hard way, backup your old comps and sources.
Open the pas and dfm files with notepad form the old and a new test project.
Use mass replace to fix everything you need.
Or simply open the old project and tell Delphi to keep your old comps, add the new ones, connect them and just fix some types in the code and form, i think you also need to remove the transaction if i'm right and all the different DBs.

Hope it helps :)

Michael
ZeosLib's Handyman :o)
ZeosLib's Handyman :o)
Posts: 189
Joined: 15.08.2005, 16:08
Location: Wehrheim
Contact:

Postby Michael » 30.08.2005, 10:06

Hi!

Lightning wrote:... i think you also need to remove the transaction if i'm right and all the different DBs ...


You are right :up:. In ZeosLib 6.x transactions are handled by TZConnection where you also specify your DB protocol. All Components work with the DB Server / database you specify in TZConnection 8).
:prog2: Use the source, dude!

[align=right]..::.. ZeosLib on SourceForge ..::..[/align]

Ralph
Fresh Boarder
Fresh Boarder
Posts: 9
Joined: 24.08.2005, 10:55
Location: Germany

Postby Ralph » 30.08.2005, 14:21

Thanks a lot for your replies...

... on the other hand: never touch a running system... I am satisfied with 5.4.1 and as long as there is no reason despite the fact of just "not using the latest version" I'll probably keep on going with 5.4.1 for a while.

It even works with the latest PostgreSQL Server (8.0.3) - I'll have to check the new 8.1 as soon as it will be released, though.

It seems to be quite a hassle to do the upgrade within an existing application. Don't get me wrong - I am very happy to hear that the work on ZEOS is going on!! And for a new application I'd probably use 6.5.1.

So thanks to all and keep up the good work!!!

BTW: Is there a chance to put the latest (compiled) libpq.dll for Postgres into the download area?

pttk
Junior Boarder
Junior Boarder
Posts: 37
Joined: 24.03.2006, 15:07

Migrate 5.4.1 to 6.1.5

Postby pttk » 24.03.2006, 17:01

Hi,

I need migrate my applications from 5.4.1 to 6.1.5, where download 5.5.0 for previous step?

Thank

forget it!, I download 5.5.0 and Gexperts (excelent tool), now go to migrate all applications.

Thank
PTTK


Return to “5.x Versions”

Who is online

Users browsing this forum: No registered users and 1 guest